curl https://zeplo.ai/api/channels/1/profile \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"about": "Your trusted business partner",
"address": "123 Business St, Mumbai, India",
"description": "Leading provider of XYZ services",
"email": "contact@example.com",
"industry": "TECHNOLOGY",
"websites": ["https://example.com"],
"profilePictureUrl": "https://..."
}
}
Channels
GET Business Profile
Manage WhatsApp Business profile settings.
GET
/
api
/
channels
/
:id
/
profile
curl https://zeplo.ai/api/channels/1/profile \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"about": "Your trusted business partner",
"address": "123 Business St, Mumbai, India",
"description": "Leading provider of XYZ services",
"email": "contact@example.com",
"industry": "TECHNOLOGY",
"websites": ["https://example.com"],
"profilePictureUrl": "https://..."
}
}
Get business profile
GET /api/channels/:id/profile
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl https://zeplo.ai/api/channels/1/profile \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"about": "Your trusted business partner",
"address": "123 Business St, Mumbai, India",
"description": "Leading provider of XYZ services",
"email": "contact@example.com",
"industry": "TECHNOLOGY",
"websites": ["https://example.com"],
"profilePictureUrl": "https://..."
}
}
Update business profile
POST /api/channels/:id/profile
curl -X POST https://zeplo.ai/api/channels/1/profile \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"about": "Updated business description",
"address": "456 New Address, Mumbai",
"email": "new@example.com",
"websites": ["https://example.com", "https://shop.example.com"]
}'
Upload profile photo
POST /api/channels/:id/profile/photo
Accepts multipart/form-data with an image file.
curl -X POST https://zeplo.ai/api/channels/1/profile/photo \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-F "photo=@profile.jpg"
Display name management
GET /api/channels/:id/display-name
POST /api/channels/:id/display-name
{
"displayName": "Acme Support"
}
